"use strict";

var _react = _interopRequireDefault(require("react"));

var _gatsby = require("gatsby");

var _FormBoxNotice = _interopRequireDefault(require("../FormBoxNotice"));

var _withSuccessOp = _interopRequireDefault(require("../withSuccessOp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('gatsby', () => ({
  navigate: jest.fn(),
  Link: () => /*#__PURE__*/_react.default.createElement("div", null)
}));

const Box = () => /*#__PURE__*/_react.default.createElement("div", null);

const Component = (0, _withSuccessOp.default)(Box, 'testing');
describe('withSuccessOp', () => {
  it('should not render notice', () => {
    const el = global.shallow( /*#__PURE__*/_react.default.createElement(Component, {
      location: {
        search: '?foo=bar'
      }
    }));
    expect(el.find(_FormBoxNotice.default).exists()).toBeFalsy();
  });
  it('should render notice with message', () => {
    const notice = global.shallow( /*#__PURE__*/_react.default.createElement(Component, {
      location: {
        search: '?op=success'
      }
    })).find(_FormBoxNotice.default);
    expect(notice.exists()).toBeTruthy();
    expect(notice.prop('title')).toMatch('testing');
  });
  it('should navigate', () => {
    global.shallow( /*#__PURE__*/_react.default.createElement(Component, {
      location: {
        pathname: 'foo'
      }
    })).find(Box).props().onSuccess();
    expect(_gatsby.navigate).toHaveBeenCalledWith('foo?op=success');
  });
});