"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toOp = exports.hasOp = exports.authenticate = exports.OP = void 0;

var _axios = _interopRequireDefault(require("axios"));

var _gatsby = require("gatsby");

var _q3UiPermissions = require("q3-ui-permissions");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const OP = '?op=success';
exports.OP = OP;

const authenticate = (credentials, redirectPath = '/') => _axios.default.post('/authenticate', credentials).then(({
  data
}) => {
  (0, _q3UiPermissions.setSession)(data);
  window.location.replace(redirectPath);
  return data;
});

exports.authenticate = authenticate;

const hasOp = search => search && search.includes(OP);

exports.hasOp = hasOp;

const toOp = pathname => () => (0, _gatsby.navigate)(`${pathname}${OP}`);

exports.toOp = toOp;